summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Brenton Earl <brent@exitstatusone.com>2017-05-04 10:09:18 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-05-04 10:09:18 +0700
commit9e1f54ddacb9af9d89c7cb20d5321ee466ed44d0 (patch)
tree8713b4aee46ed8299c9019b3a6da7109fab76a29
parentf780e362c223a39372e09bd9cb7fcc20c4c9e04c (diff)
downloadslackbuilds-9e1f54ddacb9af9d89c7cb20d5321ee466ed44d0.tar.gz
slackbuilds-9e1f54ddacb9af9d89c7cb20d5321ee466ed44d0.tar.xz
network/driftnet: Updated for version 1.1.5, new maintainer.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--network/driftnet/0001-Add-support-for-giflib-5.patch45
-rw-r--r--network/driftnet/driftnet.SlackBuild64
-rw-r--r--network/driftnet/driftnet.info12
-rw-r--r--network/driftnet/driftnet.patch29
4 files changed, 93 insertions, 57 deletions
diff --git a/network/driftnet/0001-Add-support-for-giflib-5.patch b/network/driftnet/0001-Add-support-for-giflib-5.patch
new file mode 100644
index 00000000000..7851b4e7b40
--- /dev/null
+++ b/network/driftnet/0001-Add-support-for-giflib-5.patch
@@ -0,0 +1,45 @@
+Fixes this issue not yet released:
+https://github.com/deiv/driftnet/issues/9
+
+From d4b1f2522b39d70889084fa6b0968d3a68a206fb Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?David=20Su=C3=A1rez?= <david.sephirot@gmail.com>
+Date: Tue, 26 Jan 2016 20:20:20 +0100
+Subject: [PATCH] Add support for "giflib 5"
+
+Thanks to Mathias Klose.
+---
+ src/display/gif.c | 10 +++++++++-
+ 1 file changed, 9 insertions(+), 1 deletion(-)
+
+diff --git a/src/display/gif.c b/src/display/gif.c
+index ebe1db5..a86c78d 100644
+--- a/src/display/gif.c
++++ b/src/display/gif.c
+@@ -47,7 +47,11 @@ int gif_load_hdr(img I) {
+ * Abort loading a GIF file after the header is done.
+ */
+ int gif_abort_load(img I) {
++#if defined GIFLIB_MAJOR && GIFLIB_MAJOR >= 5
++ DGifCloseFile((GifFileType*)I->us, NULL);
++#else
+ DGifCloseFile((GifFileType*)I->us);
++#endif
+ return 1;
+ }
+
+@@ -125,7 +129,11 @@ int gif_load_img(img I) {
+ ret = 1;
+ fail:
+
+- DGifCloseFile(g);
++#if defined GIFLIB_MAJOR && GIFLIB_MAJOR >= 5
++ DGifCloseFile(g, NULL);
++#else
++ DGifCloseFile(g, NULL);
++#endif
+
+ return ret;
+ }
+--
+2.9.0
+
diff --git a/network/driftnet/driftnet.SlackBuild b/network/driftnet/driftnet.SlackBuild
index 0682cebb072..ccd51f5ceb1 100644
--- a/network/driftnet/driftnet.SlackBuild
+++ b/network/driftnet/driftnet.SlackBuild
@@ -1,15 +1,36 @@
#!/bin/sh
-# Slackbuild for driftnet
-# Written by JK Wood <joshuakwood@gmail.com>
+# Slackbuild build script for driftnet
+
+# Copyright 2010, JK Wood <joshuakwood@gmail.com>
+# Copyright 2017, Brenton Earl <brent@exitstatuosne.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=driftnet
-VERSION=${VERSION:-0.1.6_p20090401}
-BUILD=${BUILD:-3}
+VERSION=${VERSION:-1.1.5}
+SRCNAM=${SRCNAM:-driftnet-upstream}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -20,8 +41,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -39,9 +60,9 @@ set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-rm -rf $PRGNAM-$VERSION
+rm -rf $SRCNAM
tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
-cd $PRGNAM-$VERSION
+cd $SRCNAM
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
@@ -49,28 +70,27 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-# Clean up building with libpng14 - thanks Gentoo!
-sed -i -e 's:png_set_gray_1_2_4_to_8:png_set_expand_gray_1_2_4_to_8:' png.c
-
# patch for giflib 5.1.x
-patch -p1 < $CWD/driftnet.patch
+patch -p1 < $CWD/0001-Add-support-for-giflib-5.patch
-LDFLAGS="-lpng16" \
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
-ARCH="$ARCH" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
make
+make install DESTDIR=$PKG
-# This screwy program has no make install, so we get to do things the hard way.
-mkdir -p $PKG/usr/bin $PKG/usr/man/man1
-cp -a driftnet $PKG/usr/bin
-strip --strip-unneeded $PKG/usr/bin/driftnet
-gzip -9c driftnet.1 > $PKG/usr/man/man1/driftnet.1.gz
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a CHANGES COPYING CREDITS README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING INSTALL CREDITS README Changelog TODO $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-find $PKG/usr/doc -type f -exec chmod 644 {} \;
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/network/driftnet/driftnet.info b/network/driftnet/driftnet.info
index a13f0074fd5..18f92c437f5 100644
--- a/network/driftnet/driftnet.info
+++ b/network/driftnet/driftnet.info
@@ -1,10 +1,10 @@
PRGNAM="driftnet"
-VERSION="0.1.6_p20090401"
-HOMEPAGE="http://ex-parrot.com/~chris/driftnet"
-DOWNLOAD="http://github.com/downloads/rbu/driftnet/driftnet-0.1.6_p20090401.tar.gz"
-MD5SUM="bb5170d314537b800edfb70d979bcfeb"
+VERSION="1.1.5"
+HOMEPAGE="https://github.com/deiv/driftnet"
+DOWNLOAD="https://github.com/deiv/driftnet/archive/upstream/v1.1.5/driftnet-1.1.5.tar.gz"
+MD5SUM="1759bac067aa26de1a7f79e887fd59ff"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
-MAINTAINER="JK Wood"
-EMAIL="joshuakwood@gmail.com"
+MAINTAINER="Brenton Earl"
+EMAIL="brent@exitstatusone.com"
diff --git a/network/driftnet/driftnet.patch b/network/driftnet/driftnet.patch
deleted file mode 100644
index 166c75bc2f8..00000000000
--- a/network/driftnet/driftnet.patch
+++ /dev/null
@@ -1,29 +0,0 @@
---- driftnet-0.1.6_p20090401/gif.c.old 2016-01-04 23:08:50.734142148 +0700
-+++ driftnet-0.1.6_p20090401/gif.c 2016-01-04 23:11:58.759931300 +0700
-@@ -20,7 +20,7 @@
- */
- int gif_load_hdr(img I) {
- GifFileType *g;
-- g = I->us = DGifOpenFileHandle(fileno(I->fp));
-+ g = I->us = DGifOpenFileHandle(fileno(I->fp), NULL);
- if (!I->us) {
- I->err = IE_HDRFORMAT;
- return 0;
-@@ -36,7 +36,7 @@
- * Abort loading a GIF file after the header is done.
- */
- int gif_abort_load(img I) {
-- DGifCloseFile((GifFileType*)I->us);
-+ DGifCloseFile((GifFileType*)I->us, NULL);
- return 1;
- }
-
-@@ -114,7 +114,7 @@
- ret = 1;
- fail:
-
-- DGifCloseFile(g);
-+ DGifCloseFile(g, NULL);
-
- return ret;
- }